OCF_PACEMAKER_HEALTH(7)

NAME
ocf_pacemaker_HealthCPU - System health CPU usage

SYNOPSIS

[OCF_RESKEY_state=string] [OCF_RESKEY_yellow_limit=string] [OCF_RESKEY_red_limit=string] [OCF_RESKEY_dampening=string]

HealthCPU [start | stop | monitor | reload-agent | meta-data | validate-all]

DESCRIPTION

System health agent that measures the CPU idling and updates the #health-cpu attribute.

SUPPORTED PARAMETERS

OCF_RESKEY_state = string [/health-cpu-.state]
    State file

    Location to store the resource state in.

OCF_RESKEY_yellow_limit = string [50]
    Lower limit for yellow health attribute

    Lower (!) limit of idle percentage to switch the health attribute to yellow. I.e. the #health-cpu will go yellow if the %idle of the CPU falls below 50%.

OCF_RESKEY_red_limit = string [10]
    Lower limit for red health attribute

    Lower (!) limit of idle percentage to switch the health attribute to red. I.e. the #health-cpu will go red if the %idle of the CPU falls below 10%.

OCF_RESKEY_dampening = string [30s]
    The time to wait (dampening) in seconds for further changes before writing

    The time to wait (dampening) in seconds for further changes before writing

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.